Skip to main content
`Ctrl`+`K`

# DMNetworkGetNumVertices

Get the local and global number of vertices for the entire network.

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetNumVertices(DM dm, PetscInt *nVertices, PetscInt *NVertices)

Not Collective

## Input Parameter

- dm - the `DMNETWORK` object

## Output Parameters

- nVertices - the local number of vertices

- NVertices - the global number of vertices

## See Also

`DM`, `DMNETWORK`, `DMNetworkGetNumEdges()`

## Level

beginner

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages